%% vid4
% Capture sequence of snapshots at equally spaced times. Play
% an audible beep before each snapshot.

%%

% create video object and start preview. 
vid = videoinput('winvideo',1,'YUY2_640x480');
set(vid,'ReturnedColorSpace','rgb');
preview(vid)
pause(1)

%%

% capture sequence of snapshots
for k=1:9
    pause(1.2);
    beep;
    pause(0.4);
    img = getsnapshot(vid);
    if k==1
        data = img;
    else
        data(:,:,:,k) = img;
    end
end
imaqmontage(data)
save seq5 data;

%%

% delete video object and clear the workspace
closepreview(vid)
delete(vid)
close all
